Skip to Content
Hive
API Referencev1Services

Get Organization Service Options

GET
/v1/service/org/option/{serviceId}/all

Retrieve all configured organization options for a service. Requires the service_view authority.

Path Parameters

serviceId*integer

Organization service identifier.

Response Body

Organization service options retrieved successfully.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.eis.it/v1/service/org/option/0/all'
Example Response
[  {    "id": 0,    "name": "string",    "forDirect": true,    "forSub": true,    "type": "string",    "serviceOption": {      "id": 0,      "name": "string"    },    "serviceOrg": {      "id": 0,      "name": "string"    },    "organization": {      "organizationId": 0,      "name": "string"    }  }]